.root {
  display: flex;
  flex-direction: column;
  padding: 40px 32px 32px;
  gap: 24px;
  width: 420px;
}

.title {
  font: var(--font-h2);
}

input {
  width: 100%;
  border: 1px solid var(--text-secondary);
  padding: 14px 16px;
  border-radius: 12px;
}

.text {
  color: var(--text-secondary);
  font: var(--font-p2);
}

.back {
  display: flex;
  align-items: center;
  font: var(--font-s1);
  color: var(--text-secondary);
  cursor: pointer;
  margin-bottom: 8px;
}

.backArrowIcon {
  width: 14px;
  height: 14px;
  margin-right: 2px;
}

.form {
  display: flex;
  flex-direction: column;
  gap: 12px;
}

.invalidInputText {
  text-align: left;
  color: var(--accent);
  font: var(--font-p2);
  align-self: self-start;
}

.input {
  width: 100%;
  border: 1px solid var(--text-secondary);
  padding: 14px 16px;
  border-radius: 12px;

  &:focus {
    outline: 1px solid var(--blue);
  }

  &-failed {
    border: 1px solid var(--accent);

    &:focus {
      outline: 1px solid var(--accent);
    }
  }
}
